
_interrupt:

;knightRider.c,52 :: 		void interrupt() {
;knightRider.c,53 :: 		playAnimation(&animC);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_playAnimation_pAnim+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_playAnimation_pAnim+1 
	CALL        _playAnimation+0, 0
;knightRider.c,67 :: 		TMR0H = 0xF9;    // preset for Timer0 MSB register
	MOVLW       249
	MOVWF       TMR0H+0 
;knightRider.c,68 :: 		TMR0L = 0xC0;    // preset for Timer0 LSB register
	MOVLW       192
	MOVWF       TMR0L+0 
;knightRider.c,69 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;knightRider.c,70 :: 		}
L_end_interrupt:
L__interrupt3:
	RETFIE      1
; end of _interrupt

_main:

;knightRider.c,74 :: 		void main() {
;knightRider.c,79 :: 		ANSELB = 0;                    // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;knightRider.c,80 :: 		ANSELC = 0;                    // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;knightRider.c,81 :: 		ANSELD = 0;                    // Configure PORTD pins as digital
	CLRF        ANSELD+0 
;knightRider.c,82 :: 		ANSELE = 0;                    // Configure PORTE pins as digital
	CLRF        ANSELE+0 
;knightRider.c,89 :: 		TRISC = 0;                     // Configure PORTC as output
	CLRF        TRISC+0 
;knightRider.c,90 :: 		TRISD = 0;                     // Configure PORTD as output
	CLRF        TRISD+0 
;knightRider.c,91 :: 		TRISE = 1;                     // Configure PORTE as input
	MOVLW       1
	MOVWF       TRISE+0 
;knightRider.c,94 :: 		LATC = 0;                      // Clear PORTC
	CLRF        LATC+0 
;knightRider.c,95 :: 		LATD = 0;                      // Clear PORTD
	CLRF        LATD+0 
;knightRider.c,97 :: 		initLCD();
	CALL        _initLCD+0, 0
;knightRider.c,99 :: 		lcdText(1, -1, "KnightRider v1");
	MOVLW       1
	MOVWF       FARG_lcdText_intRow+0 
	MOVLW       0
	MOVWF       FARG_lcdText_intRow+1 
	MOVLW       255
	MOVWF       FARG_lcdText_intCol+0 
	MOVLW       255
	MOVWF       FARG_lcdText_intCol+1 
	MOVLW       ?lstr1_knightRider+0
	MOVWF       FARG_lcdText_pText+0 
	MOVLW       hi_addr(?lstr1_knightRider+0)
	MOVWF       FARG_lcdText_pText+1 
	CALL        _lcdText+0, 0
;knightRider.c,103 :: 		intSteps = createSchedule(5, 0);
	MOVLW       5
	MOVWF       FARG_createSchedule_uintInc+0 
	MOVLW       0
	MOVWF       FARG_createSchedule_uintInc+1 
	CLRF        FARG_createSchedule_uintRepeat+0 
	CLRF        FARG_createSchedule_uintRepeat+1 
	CALL        _createSchedule+0, 0
	MOVF        R0, 0 
	MOVWF       main_intSteps_L0+0 
	MOVF        R1, 0 
	MOVWF       main_intSteps_L0+1 
;knightRider.c,105 :: 		initAnim(&animC, intSteps);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,106 :: 		initAnim(&animD, intSteps);
	MOVLW       knightRider_animD+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,108 :: 		joinAnims(&animC, &animD);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_joinAnims_pDst+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_joinAnims_pDst+1 
	MOVLW       knightRider_animD+0
	MOVWF       FARG_joinAnims_pSrc+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_joinAnims_pSrc+1 
	CALL        _joinAnims+0, 0
;knightRider.c,111 :: 		T0CON.TMR0ON = 1;// On/Off Control bit, 1=Enable, 0=Disable
	BSF         T0CON+0, 7 
;knightRider.c,112 :: 		T0CON.T08BIT = 0;// 8-bit/16-bit Control bi: 0=16-bit timer/counter
	BCF         T0CON+0, 6 
;knightRider.c,113 :: 		T0CON.T0CS   = 0;// Clock Source Select bit: 0=Internal Clock (CLKO)
	BCF         T0CON+0, 5 
;knightRider.c,114 :: 		T0CON.T0SE   = 0;// Source Edge Select bit: 0=low/high
	BCF         T0CON+0, 4 
;knightRider.c,115 :: 		T0CON.PSA    = 1;// Prescaler Assignment bit: 1=NOT assigned/bypassed
	BSF         T0CON+0, 3 
;knightRider.c,116 :: 		T0CON.T0PS2  = 0;// bits 2-0  PS2:PS0: Prescaler Select bits
	BCF         T0CON+0, 2 
;knightRider.c,117 :: 		T0CON.T0PS1  = 0;
	BCF         T0CON+0, 1 
;knightRider.c,118 :: 		T0CON.T0PS0  = 0;
	BCF         T0CON+0, 0 
;knightRider.c,120 :: 		TMR0H = 0xF9;    // preset for Timer0 MSB register
	MOVLW       249
	MOVWF       TMR0H+0 
;knightRider.c,121 :: 		TMR0L = 0xC0;    // preset for Timer0 LSB register
	MOVLW       192
	MOVWF       TMR0L+0 
;knightRider.c,122 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;knightRider.c,124 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, 7 
;knightRider.c,126 :: 		while( 1 ) {
L_main0:
;knightRider.c,128 :: 		}
	GOTO        L_main0
;knightRider.c,129 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
