/**
 * File:
 *  lcd.c
 *
 * Notes:
 *  This file contains the implementation of the LCD routines.
 *
 * History:
 *  02/06/2012 Created by Simon Platten
 */
#include "lcd.h"
// Lcd module connections
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
/**
 * Function:
 *  initLCD
 *
 * Parameters:
 *  none
 *
 * Returns:
 *  none
 */
void initLCD() {
  Lcd_Init();
  Lcd_Cmd(_LCD_CLEAR);
  Lcd_Cmd(_LCD_CURSOR_OFF);
}
/**
 * Function:
 *  lcdText
 *
 * Parameters:
 *  intRow, the row 1 or 2
 *  intCol, the column 1 to 16, if -1 then text is centered
 *  pText, the text to display
 *
 * Returns:
 *  none
 */
void lcdText(int intRow, int intCol, char* pText) {
  if ( !((intRow >= 1 && intRow <= LCD_CHAR_HEIGHT) &&
        intCol == -1 || (intCol >= 1 && intCol <= LCD_CHAR_WIDTH) &&
        pText) ) {
// Invalid parameters, abort
    return;
  }
  if ( intCol == -1 ) {
// Determine the length of the text
    int intLength;
    for( intLength=0; pText[intLength]!='\0'; intLength++ ) {
    }
// Work out the center column
    intCol = ((LCD_CHAR_WIDTH - intLength) / 2) + 1;
  }
  Lcd_Out(intRow, intCol, pText);
}
